Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
connection_uid
string
required

TikTok Shop connection UID returned by GET /publishing/connections.

Minimum string length: 1
kind
enum<string>
required

Prepare a video for publishing or an image for use as its cover.

Available options:
video,
cover
file_id
string
required

File ID returned by POST /files after you complete the multipart upload. Must belong to this workspace.

Pattern: ^file_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
file_name
string

Optional filename, up to 255 characters. Video preparation defaults to video.mp4.

Required string length: 1 - 255

Response

Result

id
string
required
Pattern: ^pm_
kind
enum<string>
required
Available options:
video,
cover
connection_uid
string
required
status
any
required